Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.pk
Interface KeyStoreMBean

All Known Subinterfaces:
  DefaultKeyStoreMBean

public interface KeyStoreMBean
extends weblogic.management.commo.StandardInterface, ProviderMBean

The SSPI MBean that all Keystore providers must extend. It was deprecated in WLS 8.1.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getPrivateKeyStoreLocation()` Deprecated. The location of a private Keystore.
`java.lang.String` | `getPrivateKeyStorePassPhrase()` Deprecated. The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute.
`java.lang.Byte[]` | `getPrivateKeyStorePassPhraseEncrypted()` Deprecated. The encrypted password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute.
`java.lang.String` | `getRootCAKeyStoreLocation()` Deprecated. The location of a Root Certificate Authority Keystore.
`java.lang.String` | `getRootCAKeyStorePassPhrase()` Deprecated. The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute.
`java.lang.Byte[]` | `getRootCAKeyStorePassPhraseEncrypted()` Deprecated. The encrypted password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute.
`java.lang.String` | `getType()` Deprecated. The type of the Keystore implementation, as defined by the JavaSoft Cryptography Architecture specification.
`void` | `setPrivateKeyStoreLocation(java.lang.String newValue)` Deprecated. The location of a private Keystore.
`void` | `setPrivateKeyStorePassPhrase(java.lang.String newValue)` Deprecated. The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute.
`void` | `setPrivateKeyStorePassPhraseEncrypted(java.lang.Byte[] newValue)` Deprecated. The encrypted password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute.
`void` | `setRootCAKeyStoreLocation(java.lang.String newValue)` Deprecated. The location of a Root Certificate Authority Keystore.
`void` | `setRootCAKeyStorePassPhrase(java.lang.String newValue)` Deprecated. The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute.
`void` | `setRootCAKeyStorePassPhraseEncrypted(java.lang.Byte[] newValue)` Deprecated. The encrypted password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion, setRealm`

Method Detail

### getPrivateKeyStorePassPhrase

    public java.lang.String getPrivateKeyStorePassPhrase()

  Deprecated.

  The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute. If you set a null value, no password is required to access the private Keystore.

  As of 8.1 sp4, the `getPrivateKeyStorePassPhrase()` method does the following:

  1. Retrieves the value of the `PrivateKeyStorePassPhraseEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted passphrase as a String.

  Using `getPrivateKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using `getPrivateKeyStorePassPhrase()`, use `getPrivateKeyStorePassPhraseEncrypted()`.

  As of 8.1 sp4, the `setPrivateKeyStorePassPhrase()` method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `PrivateKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

  Default Value: null
  Legal NULL: true

### setPrivateKeyStorePassPhrase

    public void setPrivateKeyStorePassPhrase(java.lang.String newValue)
                                      throws javax.management.InvalidAttributeValueException

  Deprecated.

  The password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute. If you set a null value, no password is required to access the private Keystore.

  As of 8.1 sp4, the `getPrivateKeyStorePassPhrase()` method does the following:

  1. Retrieves the value of the `PrivateKeyStorePassPhraseEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted passphrase as a String.

  Using `getPrivateKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using `getPrivateKeyStorePassPhrase()`, use `getPrivateKeyStorePassPhraseEncrypted()`.

  As of 8.1 sp4, the `setPrivateKeyStorePassPhrase()` method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `PrivateKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

  Default Value: null
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute PrivateKeyStorePassPhrase
  Throws:
    javax.management.InvalidAttributeValueException -

### getPrivateKeyStoreLocation

    public java.lang.String getPrivateKeyStoreLocation()

  Deprecated.
  The location of a private Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true

### setPrivateKeyStoreLocation

    public void setPrivateKeyStoreLocation(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  Deprecated.
  The location of a private Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute PrivateKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStorePassPhrase

    public java.lang.String getRootCAKeyStorePassPhrase()

  Deprecated.
  The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute. A Root Certificate Authority Keystore stores trusted Certificate Authorities. If you set a null value, no password is required to access the Root Certificate Authority KeyStore. This behavior may be overridden by the configured KeyStore implementation.

  As of 8.1 sp4, the `getRootCAKeyStorePassPhrase()` method does the following:

  1. Retrieves the value of the `RootCAKeyStorePassPhraseEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted passphrase as a String.

  Using `getRootCAKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using `getRootCAKeyStorePassPhrase()`, use `getRootCAKeyStorePassPhraseEncrypted()`.

  As of 8.1 sp4, the `setRootCAKeyStorePassPhrase()` method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `RootCAKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true

### setRootCAKeyStorePassPhrase

    public void setRootCAKeyStorePassPhrase(java.lang.String newValue)
                                     throws javax.management.InvalidAttributeValueException

  Deprecated.
  The password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute. A Root Certificate Authority Keystore stores trusted Certificate Authorities. If you set a null value, no password is required to access the Root Certificate Authority KeyStore. This behavior may be overridden by the configured KeyStore implementation.

  As of 8.1 sp4, the `getRootCAKeyStorePassPhrase()` method does the following:

  1. Retrieves the value of the `RootCAKeyStorePassPhraseEncrypted` attribute.
  2. Decrypts the value and returns the unencrypted passphrase as a String.

  Using `getRootCAKeyStorePassPhrase()` is a potential security risk because the String object (which contains the unencrypted passphrase) remains in the JVM's memory until garbage collection removes it. Depending on how memory is allocated in the JVM, a significant amount of time could pass before this unencrypted data is removed from memory.

  Instead of using `getRootCAKeyStorePassPhrase()`, use `getRootCAKeyStorePassPhraseEncrypted()`.

  As of 8.1 sp4, the `setRootCAKeyStorePassPhrase()` method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `RootCAKeyStorePassPhraseEncrypted` attribute to the encrypted parameter value.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute RootCAKeyStorePassPhrase
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStoreLocation

    public java.lang.String getRootCAKeyStoreLocation()

  Deprecated.
  The location of a Root Certificate Authority Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true

### setRootCAKeyStoreLocation

    public void setRootCAKeyStoreLocation(java.lang.String newValue)
                                   throws javax.management.InvalidAttributeValueException

  Deprecated.
  The location of a Root Certificate Authority Keystore. The configured Keystore implementation determines the input requirements for this attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute RootCAKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

### getType

    public java.lang.String getType()

  Deprecated.
  The type of the Keystore implementation, as defined by the JavaSoft Cryptography Architecture specification.

  Default Value: "jks"
  Legal NULL: false

### getPrivateKeyStorePassPhraseEncrypted

    public java.lang.Byte[] getPrivateKeyStorePassPhraseEncrypted()

  Deprecated.

  The encrypted password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute. If you set a null value, no password is required to access the private Keystore.

  If you need un-encrypted values for this attribute, use the PrivateKeyStorePassPhrase attribute.

  Default Value: null
  Legal NULL: true

### setPrivateKeyStorePassPhraseEncrypted

    public void setPrivateKeyStorePassPhraseEncrypted(java.lang.Byte[] newValue)
                                               throws javax.management.InvalidAttributeValueException

  Deprecated.

  The encrypted password for the private Keystore that is specified by the `PrivateKeyStoreLocation` attribute. If you set a null value, no password is required to access the private Keystore.

  If you need un-encrypted values for this attribute, use the PrivateKeyStorePassPhrase attribute.

  Default Value: null
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute PrivateKeyStorePassPhraseEncrypted
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStorePassPhraseEncrypted

    public java.lang.Byte[] getRootCAKeyStorePassPhraseEncrypted()

  Deprecated.
  The encrypted password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute. A Root Certificate Authority Keystore stores trusted Certificate Authorities. If you set a null value, no password is required to access the Root Certificate Authority KeyStore. This behavior may be overridden by the configured KeyStore implementation.

  If you need un-encrypted value of this attribute, use the RootCAKeyStorePassPhrase attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true

### setRootCAKeyStorePassPhraseEncrypted

    public void setRootCAKeyStorePassPhraseEncrypted(java.lang.Byte[] newValue)
                                              throws javax.management.InvalidAttributeValueException

  Deprecated.
  The encrypted password for the Root Certificate Authority Keystore that is specified by the `RootCAKeyStoreLocation` attribute. A Root Certificate Authority Keystore stores trusted Certificate Authorities. If you set a null value, no password is required to access the Root Certificate Authority KeyStore. This behavior may be overridden by the configured KeyStore implementation.

  If you need un-encrypted value of this attribute, use the RootCAKeyStorePassPhrase attribute.

  For more information about legal values, refer to the documentation supplied by the Keystore security vendor.

  Default Value: null
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute RootCAKeyStorePassPhraseEncrypted
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD